# Class DeRegister

java.lang.Object
org.mariadb.jdbc.internal.util.DeRegister

All Implemented Interfaces:
  `DriverAction`

public class DeRegister extends Object implements DriverAction

## Constructor Summary

Constructors
Constructor
Description
`DeRegister()`

## Method Summary

Modifier and Type
Method
Description
`void`
`deregister()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DeRegister

public DeRegister()

## Method Details

### deregister

public void deregister()

Specified by:
  `deregister` in interface `DriverAction`